Page MenuHomePhabricator

Exceptions due to APC missing on some scalers due to Gadgets caching
Closed, ResolvedPublic

Description

2015-07-23 10:53:33 mw1155 dewiki exception INFO: [9c531caa] /w/thumb_handler.php/8/83/Or_de_Varna_-_N%C3%A9cropole.jpg%0ACollier_n%C3%A9cropole_Varna.jpg%0AM%C3%A9daillon_byzantin_-_Varna.jpg%0ACollier_byzantin_-_Varna.JPG%0ABijoux_byzantins_-_Varna.JPG%0ABijou_byzantin_-_Mus%C3%A9e_de_Varna.jpg%0ACollier_pierres_-_Varna.JPG%0AByzantine_commercial_measures.jpg%0AIcone_2_-_Mus%C3%A9e_de_Varna.jpg%0AIcone_Mus%C3%A9e_Varna.jpg/130px-Or_de_Varna_-_N%C3%A9cropole.jpg%0ACollier_n%C3%A9cropole_Varna.jpg%0AM%C3%A9daillon_byzantin_-_Varna.jpg%0ACollier_byzantin_-_Varna.JPG%0ABijoux_byzantins_-_Varna.JPG%0ABijou_byzantin_-_Mus%C3%A9e_de_Varna.jpg%0ACollier_pierres_-_Varna.JPG%0AByzantine_commercial_measures.jpg%0AIcone_2_-_Mus%C3%A9e_de_Varna.jpg%0AIcone_Mus%C3%A9e_Varna.jpg   MWException from line 171 of /srv/mediawiki/php-1.26wmf14/includes/objectcache/ObjectCache.php: CACHE_ACCEL requested but no suitable object cache is present. You may want to install APC.
#0 [internal function]: ObjectCache::newAccelerator(Array)
#1 /srv/mediawiki/php-1.26wmf14/includes/objectcache/ObjectCache.php(116): call_user_func('ObjectCache::ne...', Array)
#2 /srv/mediawiki/php-1.26wmf14/includes/objectcache/ObjectCache.php(97): ObjectCache::newFromParams(Array)
#3 /srv/mediawiki/php-1.26wmf14/includes/objectcache/ObjectCache.php(53): ObjectCache::newFromId(3)
#4 /srv/mediawiki/php-1.26wmf14/extensions/Gadgets/Gadgets_body.php(328): ObjectCache::getInstance(3)
#5 /srv/mediawiki/php-1.26wmf14/extensions/Gadgets/GadgetHooks.php(48): Gadget::loadStructuredList()
#6 [internal function]: GadgetHooks::userGetDefaultOptions(Array)
#7 /srv/mediawiki/php-1.26wmf14/includes/Hooks.php(204): call_user_func_array('GadgetHooks::us...', Array)
#8 /srv/mediawiki/php-1.26wmf14/includes/User.php(1543): Hooks::run('UserGetDefaultO...', Array)
#9 /srv/mediawiki/php-1.26wmf14/includes/User.php(5027): User::getDefaultOptions()
#10 /srv/mediawiki/php-1.26wmf14/includes/User.php(2607): User->loadOptions()
#11 /srv/mediawiki/php-1.26wmf14/includes/context/RequestContext.php(342): User->getOption('language')
#12 /srv/mediawiki/php-1.26wmf14/includes/StubObject.php(204): RequestContext->getLanguage()
#13 /srv/mediawiki/php-1.26wmf14/includes/StubObject.php(160): StubUserLang->_newObject()
#14 /srv/mediawiki/php-1.26wmf14/includes/StubObject.php(104): StubObject->_unstub('getCode', 5)
#15 /srv/mediawiki/php-1.26wmf14/includes/StubObject.php(179): StubObject->_call('getCode', Array)
#16 /srv/mediawiki/php-1.26wmf14/includes/cache/MessageCache.php(864): StubUserLang->__call('getCode', Array)
#17 /srv/mediawiki/php-1.26wmf14/includes/cache/MessageCache.php(864): StubUserLang->getCode()
#18 /srv/mediawiki/php-1.26wmf14/includes/cache/MessageCache.php(809): MessageCache->getMessageFromFallbackChain(Object(StubUserLang), 'badtitletext', 'Badtitletext', true)
#19 /srv/mediawiki/php-1.26wmf14/includes/Message.php(1100): MessageCache->get('badtitletext', true, Object(StubUserLang))
#20 /srv/mediawiki/php-1.26wmf14/includes/Message.php(723): Message->fetchMessage()
#21 /srv/mediawiki/php-1.26wmf14/includes/Message.php(802): Message->toString()
#22 /srv/mediawiki/php-1.26wmf14/thumb.php(148): Message->parse()
#23 /srv/mediawiki/php-1.26wmf14/thumb.php(73): wfStreamThumb(Array)
#24 /srv/mediawiki/php-1.26wmf14/thumb.php(32): wfThumbHandle404()
#25 /srv/mediawiki/php-1.26wmf14/thumb_handler.php(29): require('/srv/mediawiki/...')
#26 /srv/mediawiki/w/thumb_handler.php(3): require('/srv/mediawiki/...')
#27 {main} {"private":false}

Event Timeline

aaron created this task.Jul 23 2015, 8:56 PM
aaron claimed this task.
aaron raised the priority of this task from to Needs Triage.
aaron updated the task description. (Show Details)
aaron added a subscriber: aaron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2015, 8:56 PM

Change 226632 had a related patch set uploaded (by Aaron Schulz):
Removed caching config variables and always enable caching

https://gerrit.wikimedia.org/r/226632

aaron set Security to None.

Change 226632 merged by jenkins-bot:
Removed caching config variables and always enable caching

https://gerrit.wikimedia.org/r/226632

So....if APC isn't installed on the scalers that means it isn't getting any of the extension.json caching?

Change 226658 had a related patch set uploaded (by Ori.livneh):
Add ProxyPass rule for thumb_handler.php

https://gerrit.wikimedia.org/r/226658

Change 226658 merged by Ori.livneh:
Add ProxyPass rule for thumb_handler.php

https://gerrit.wikimedia.org/r/226658

Change 226738 had a related patch set uploaded (by Ori.livneh):
Follow-up for Ie17cb06: add thumb_handler.php ProxyPass rule to all vhosts

https://gerrit.wikimedia.org/r/226738

Change 226738 merged by Ori.livneh:
Follow-up for Ie17cb06: add thumb_handler.php ProxyPass rule to all vhosts

https://gerrit.wikimedia.org/r/226738

aaron renamed this task from Exceptions due to APC missing (zend) on scalers due to Gadgets caching to Exceptions due to APC missing on some scalers due to Gadgets caching.Jul 24 2015, 6:01 PM
Reedy updated the task description. (Show Details)Jul 26 2015, 5:44 PM

Change 227160 had a related patch set uploaded (by Ori.livneh):
Re-introduce ProxyPass rule for thumb_handler.php, with corrected docroots

https://gerrit.wikimedia.org/r/227160

Change 227160 merged by Ori.livneh:
Re-introduce ProxyPass rule for thumb_handler.php, with corrected docroots

https://gerrit.wikimedia.org/r/227160

aaron closed this task as Resolved.Aug 3 2015, 11:28 PM